Valstorm LogoDev

status Endpoints

All endpoints for the status API group. Great for feeding into an LLM context.

POST

/v1/status/v1/user/status

User Status

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/UserStatus"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/status/me

Me

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/status/user/{user_id}

Get A User

Parameters
user_id*
in: path
type: string
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

POST

/v1/status/availability

Available Route

Request Body
{
  "content": {
    "application/json": {
      "schema": {
        "$ref": "#/components/schemas/status__status_routes__Available"
      }
    }
  },
  "required": true
}
Responses
200
Successful Response
application/json
{}
404
Not found
422
Validation Error
application/json
{
  "$ref": "#/components/schemas/HTTPValidationError"
}
API Runner

GET

/v1/status/users

Get All Users

Responses
200
Successful Response
application/json
{}
404
Not found
API Runner

GET

/v1/status

Health Check Endpoint

Responses
200
Successful Response
application/json
{
  "$ref": "#/components/schemas/StatusResponse"
}
404
Not found
API Runner